# SpeechCorpora.jl

A Julia package to download and prepare speech corpus.

## Installation

Make sure to add the [FAST registry](https://gitlab.lisn.upsaclay.fr/fast/registry)
to your julia installation. Then, install the package as usual:
```
pkg> add SpeechCorpora
```

## Example

```
julia> using SpeechCorpora

julia> corpus = MultilingualLibriSpeech("fra") |> download |> prepare

# Load the recording manifest.
julia> recs = load(corpus, Recording, "dev") # use "train", "dev" or "test"

# Load the supervision manifest.
julia> sups = load(corpus, Supervision, "dev") # use "train", "dev" or "test"

# Load the signal of the first supervision segment
julia> s = first(values(sups))
julia> x, samplerate = load(recs[s.recording_id], s)

# Play the recording of the first supervision segment
julia> play(recs[s.recording_id], s)

```

## Author
* Lucas ONDEL YANG (LISN, CNRS)

## License

This software is provided under the CeCILL 2.1 license (see the [`/LICENSE`](/LICENSE)

