# SPDX-License-Identifier: CECILL-2.1

module SpeechCorpora

using Base64
using HTTP
using JSON
using WAV

using SpeechFeatures: AbstractAudioSource, CmdAudioSource, FileAudioSource, URLAudioSource, loadaudio

export
    # ManifestItem
    Recording,
    Supervision,
    load,

    # Manifest interface
    writemanifest,
    readmanifest,

    # Corpora interface
    download,
    lang,
    name,
    prepare,

    # Corpora
    MultilingualLibriSpeech,
    MiniLibriSpeech,
    TIMIT

include("speechcorpus.jl")
include("manifest_item.jl")
include("manifest_io.jl")
include("corpora/multilingual_librispeech.jl")
include("corpora/mini_librispeech.jl")
include("corpora/timit.jl")

end
